package hiro.yoshioka.ast.sql;

/**
 * Describes the input token stream.
 */

public interface IToken {

  public int getKind();

  public int getBeginLine();
  public int getBeginColumn();
  public int getEndLine();
  public int getEndColumn();

  public IToken getNext();

  public IToken getSpecialToken();
  public void setSpecialToken(IToken t);

  public String toString();

	public String getImage();


}
